GET api/PBI_role/role/{roleId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
roleId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PBI_RoleViewModel
NameDescriptionTypeAdditional information
active

boolean

None.

code

string

Required

customer_ID

globally unique identifier

None.

customerName

string

None.

id

globally unique identifier

None.

names

Dictionary of string [key] and string [value]

Required

permissions

Collection of PBI_PermissionsViewModel

Required

site_ID

globally unique identifier

Required

siteName

string

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": "sample string 2",
  "customer_ID": "726ed4f1-2d1a-4f22-ae29-c522ef9dca6d",
  "customerName": "sample string 4",
  "id": "ba9f2090-4bf6-444d-a532-8f99fd16110f",
  "names": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "permissions": [
    {
      "id": "ec698f17-1c88-47b9-b13e-d364623f720c",
      "active": true,
      "foreign_ID": "511c18e5-5100-43fd-b2a6-af22d05d3266",
      "foreign_Label": "sample string 3",
      "type": 1
    },
    {
      "id": "ec698f17-1c88-47b9-b13e-d364623f720c",
      "active": true,
      "foreign_ID": "511c18e5-5100-43fd-b2a6-af22d05d3266",
      "foreign_Label": "sample string 3",
      "type": 1
    }
  ],
  "site_ID": "c705c160-f743-4653-b124-62afe9f6e6bb",
  "siteName": "sample string 8"
}

application/xml, text/xml

Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>sample string 2</code>
  <customerName>sample string 4</customerName>
  <customer_ID>726ed4f1-2d1a-4f22-ae29-c522ef9dca6d</customer_ID>
  <id>ba9f2090-4bf6-444d-a532-8f99fd16110f</id>
  <names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </names>
  <permissions>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>511c18e5-5100-43fd-b2a6-af22d05d3266</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>ec698f17-1c88-47b9-b13e-d364623f720c</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
    <PBI_PermissionsViewModel>
      <Active>true</Active>
      <Foreign_ID>511c18e5-5100-43fd-b2a6-af22d05d3266</Foreign_ID>
      <Foreign_Label>sample string 3</Foreign_Label>
      <ID>ec698f17-1c88-47b9-b13e-d364623f720c</ID>
      <type>SiteCustomer</type>
    </PBI_PermissionsViewModel>
  </permissions>
  <siteName>sample string 8</siteName>
  <site_ID>c705c160-f743-4653-b124-62afe9f6e6bb</site_ID>
</PBI_RoleViewModel>